/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\EB_table.sql **/

 EXEC p_AlterColumn 'T_EB_INTEGRATION_MAPDIM', 'FDIMSOURCE', 'NVARCHAR(200)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_EB_INTEGRATION_MAPDIM', 'FDIMSOURCENAME', 'NVARCHAR(200)', 'NOT NULL', '0100', ''' ''';


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_MODIFYNOTE') 
 CREATE TABLE T_EB_MODIFYNOTE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FMODIFYVALUE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAPPROVELPERIOD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAPPROVER BIGINT DEFAULT 0 NOT NULL,
FOLDVALUE NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_APPROVELNOTE') 
 CREATE TABLE T_EB_APPROVELNOTE (
FID BIGINT DEFAULT 0 NOT NULL,
FMODELID BIGINT DEFAULT 0 NOT NULL,
FTASKPROID BIGINT DEFAULT 0 NOT NULL,
FMEMBERSKEY NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FTEMPLATEID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\EB_table.sql **/
